Delete Draft
curl --request DELETE \
--url https://api.lemlist.com/api/inbox/{contactId}/drafts/{draftId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.lemlist.com/api/inbox/{contactId}/drafts/{draftId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.lemlist.com/api/inbox/{contactId}/drafts/{draftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://api.lemlist.com/api/inbox/{contactId}/drafts/{draftId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.lemlist.com/api/inbox/{contactId}/drafts/{draftId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"success": true
}"User not found: neither a valid email nor a valid user id for this team""The authentication you supplied is incorrect""Draft not found"Inbox
Delete Draft
Soft-deletes a draft by setting its deletedAt timestamp.
DELETE
/
inbox
/
{contactId}
/
drafts
/
{draftId}
Delete Draft
The
draftOwner query parameter is required and identifies the draft owner. It accepts either:- A userId (e.g.,
usr_abc123def456789) — used directly - A login email (e.g.,
john@acme.com) — resolved to userId via email lookup
contactOwner in the Lead API. Team membership is verified in both cases.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Draft owner identifier. Accepts either a userId (e.g., usr_abc123def456789) or a login email (e.g., john@acme.com).
Response
Success
Was this page helpful?